/*Copyright (C) 2010-2012 Duncan Deveaux

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Camera.hpp"

Camera::Camera()
{
    
}

Camera::Camera(const Box &viewBox) : m_viewBox(viewBox)
{
    
}

void Camera::look(float viewWidth, float viewHeight)
{
    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();
    
    glTranslatef(-m_viewBox.left, -m_viewBox.top, 0);
    glScalef(viewWidth / m_viewBox.width, viewHeight / m_viewBox.height, 1);
}

void Camera::setBox(const Box &viewBox)
{
    m_viewBox = viewBox;
}

const Box &Camera::getBox() const
{
    return m_viewBox;
}
